libogg documentation | libogg release 1.3.5 - 20210603

# ogg_sync_wrote

declared in "ogg/ogg.h";

This function is used to tell the ogg_sync_state struct how many bytes we wrote into the buffer.

The general procedure is to request a pointer into an internal ogg_sync_state buffer by calling ogg_sync_buffer(). The buffer is then filled up to the requested size with new input, and ogg_sync_wrote() is called to advance the fill pointer by however much data was actually available.

    int ogg_sync_wrote(ogg_sync_state *oy, long bytes);

### Parameters

oy
  Pointer to a previously declared ogg_sync_state struct.
bytes
  Number of bytes of new data written.

### Return Values

> - -1 if the number of bytes written overflows the internal storage of the ogg_sync_state struct or an internal error occurred.
> - 0 in all other cases.

copyright © 2000-2021 Xiph.Org Foundation | Ogg Container Format
libogg documentation | libogg release 1.3.5 - 20210603